Practitioner Search V2

Allows you to search for practitioners with a variety of parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Each type of filter you select will be additive, effectively acting as an "AND WHERE" clause to the rest of your filters. For example, a search request with parameters for both practitioner_type and specialties like so:

{
  "specialties": [
    "Cardiovascular Disease Physician"
  ],
  "practitioner_types": [
    "Physician"
  ]
}

will filter for practitioners that have a practitioner_type of "Physician" (ex. MD,DO) AND a specific NUCC specialty of "Cardiovascular Disease Physician".

However WITHIN a given filter type, multiple values will be unioned, effectively acting as an "OR WHERE" clause within that filter. So a search body of the following, with multiple specialties selected:

{
  "specialties": [
    "Cardiovascular Disease Physician",
    "Nuclear Cardiology Physician"
  ],
  "practitioner_types": [
    "Physician"
  ]
}

Will search for a practitioner with a "Practitioner Type" of "Physician", and a NUCC Specialty of "Cardiovascular Disease Physician" OR "Nuclear Cardiology Physician".

Confidence Scores

Confidence Score is the probability that the record agrees with the values you would get by calling the practitioner today.

Orderly combines data from multiple sources, and for each we have empirically evaluated the actual agreement rate as well as the decay in their quality. Each field’s confidence score takes into account the data source, data age, and our decay methodology to estimate the probability of agreement.

For each record in the Orderly Directory, we combine multiple data sources to get the highest-confidence value possible. The value surfaced is the highest-confidence instance of the provider record you searched.

Sources

Each record in the Orderly Directory may be comprised of data from a variety of underlying sources. We serve the highest-confidence instance of each value. The possible sources of information and their definitions are:

Orderly Data: Orderly originated this data point through proprietary processes.

Curated Public Data: Orderly normalized data from public sources like NPPES and CMS.

Partner Data: Orderly has access to proprietary data through data sharing agreements.

Phone Attested: Orderly directly called the provider and someone in their office verbally attested to the correctness of the provider’s information.

Body Params

The request body for a search for a practitioner

string

NPI of the practitioner to search for

string

First name of the practitioner to search form

string

Last name of the practitioner to search for

string

First line of address you want to search for

string

Zip code to search for practitioner in/near. Use distance parameter to search nearby.

string

Distance in miles from zip code to search for practitioner near

states
array of strings

List of full state names you want to search within

states
specialties
array of strings

NUCC specialties to filter practitioners by

specialties
practitioner_types
array of strings

Practitioner types to filter practitioner by

practitioner_types
care_categories
array of strings

Care categories to filter practitioner by

care_categories
drug_enforcement_agency_numbers
array of strings

Drug Enforcement Agency Numbers to filter practitioner by

drug_enforcement_agency_numbers
payer_names
array of strings

Insurance Networks you would like to search within

payer_names
required_fields
array of strings

Required fields in response choosen from provided list

required_fields
Allowed:
boolean

Show sanctioned providers in results

integer

How many maximum records to return in the search. Default is 25 if unspecified.

integer

What index to start results at, default is 0 if unspecified. Used in conjunction with 'size' parameter to page through large results set with iterative search calls.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json